%define KDEDATE 20001017

Summary: 	KLyX - a word processor for the K Desktop Environment
Name: 		klyx
Version: 	2.0
Release: 	14mdk
License: 	GPL

Source: 	ftp://ftp.kde.org/pub/kde/unstable/apps/office/klyx-%{KDEDATE}-src.tar.bz2
Source1: 	%{name}16.xpm
Source11: 	%{name}32.xpm
Source12: 	%{name}48.xpm
Patch0:		klyx_icons_zoom_kmessagebox_iconsave.diff.bz2
Patch1:		klyx_compile_kde2.2.diff.bz2

Group: 		Graphical desktop/KDE
URL: 		http://www.devel.lyx.org/~ettrich/klyx.html
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	kdelibs tetex tetex-latex tetex-dvips ghostscript kdebase
BuildRequires:	ImageMagick Mesa-common XFree86-devel
BuildRequires:	XFree86-libs XFree86-static-libs autoconf automake db1 db3
BuildRequires:	diffutils file freetype2 gawk gcc-c++ gcc-cpp gettext kdelibs
BuildRequires:	kdelibs-devel libbinutils2 libbzip2_1 libjpeg62 libjpeg62-devel
BuildRequires:	liblcms1 libmng1 libpng2 libqt2 libqt2-devel libtermcap2
BuildRequires:	libtiff3 m4 mktemp pam popt readline rpm-build screen texinfo
BuildRequires:	zlib1 zlib1-devel


%description
A word processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%prep

%setup -q -n klyx
%patch0 -p1
%patch1 -p1

%build
make -f Makefile.cvs   
CFLAGS="%optflags" CXXFLAGS="%optflags" \
           ./configure --prefix=%_prefix \
	               --disable-rpath \
		       --disable-debug 

%make

%install
make install DESTDIR=%buildroot   

##menus created
mkdir -p $RPM_BUILD_ROOT/%_menudir

kdedesktop2mdkmenu.pl klyx Office/Wordprocessors %buildroot/%_datadir/applnk/Office/klyx.kdelnk %buildroot/%_menudir/klyx

# LMDK icons
install -D -m644 %{SOURCE11} $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm 
install -D -m644 %{SOURCE1} $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -D -m644 %{SOURCE12} $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

cd $RPM_BUILD_ROOT%_datadir/apps/klyx/pics
 
# remove this file before to convert too big
rm -rf $RPM_BUILD_ROOT/%_datadir/apps/klyx/pics/deco.xbm
rm -rf $RPM_BUILD_ROOT/%_datadir/apps/klyx/pics/delim.xbm

#convert all xpm file to png
for i in *.xpm; do convert "$i" `echo $i | sed "s/xpm//"`png; done

for i in *.xbm; do convert "$i" `echo $i | sed "s/xbm//"`png; done


%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,755)
%_bindir/*
%_menudir/*
#
%dir %_datadir/apps/
%dir %_datadir/apps/klyx/
%_datadir/apps/klyx/lyxrc
%_datadir/apps/klyx/CREDITS
%_datadir/apps/klyx/chkconfig.ltx
%_datadir/apps/klyx/packages.lst
%_datadir/apps/klyx/lyxrc.defaults 
%_datadir/apps/klyx/textclass.lst 
%_datadir/apps/klyx/configure
#
%dir %_datadir/apps/klyx/bind/
%_datadir/apps/klyx/bind/*.bind 
#
%dir %_datadir/apps/klyx/clipart/
%_datadir/apps/klyx/clipart/*.eps
#
%dir %_datadir/apps/klyx/examples/
%_datadir/apps/klyx/examples/*.lyx
#
%dir %_datadir/apps/klyx/kbd/
%_datadir/apps/klyx/kbd/*.kmap
%_datadir/apps/klyx/kbd/*.cdef
#
%dir %_datadir/apps/klyx/layouts/
%_datadir/apps/klyx/layouts/*.inc
%_datadir/apps/klyx/layouts/*.layout
#
%dir %_datadir/apps/klyx/pics/
#used just png file
#%_datadir/apps/klyx/pics/*.xpm
#%_datadir/apps/klyx/pics/*.xbm
%_datadir/apps/klyx/pics/*.png
#
%dir %_datadir/apps/klyx/templates/
%_datadir/apps/klyx/templates/*.lyx
#
%dir %_datadir/apps/klyx/tex/
%_datadir/apps/klyx/tex/*.cls
#
%dir %_datadir/apps/klyx/doc/
%_datadir/apps/klyx/doc/*.eps
%_datadir/apps/klyx/doc/*.lyx
#
%_iconsdir/*.gif
%_iconsdir/*.xpm
%_iconsdir/large/*.xpm
%_iconsdir/mini/*.xpm
#
%_datadir/applnk/Office/klyx.kdelnk

%post
%{update_menus}
/sbin/ldconfig

%postun
%{clean_menus}
/sbin/ldconfig

%changelog
* Thu Sep 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-14mdk
- Rebuild with new kdelibs
- Fix mimetype

* Thu Sep 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-13mdk
- Rebuild

* Sat Jun 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-12mdk
- Fix crash with kde2.2

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0-11mdk
- New office menu structure

* Wed Apr 11 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-10mdk
- Fix icons

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-9mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix and use optimizations
- Add BuildRequires
- Rebuild against latest GCC

* Mon Apr 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-8mdk
- Add save icon

* Sat Mar 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-7mdk
- Fix bug 

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-6mdk
- Fix zoom factor

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-5mdk
- Fix bug with icons

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 2.0-4mdk
- Rebuild against Qt 2.3.0

* Fri Mar 02 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0-3mdk
- Rebuild

* Tue Nov 07 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-2mdk
- change mandrake icons.
- rebuild against new compiler.

* Tue Oct 17 2000 Daouda Lo <daouda@mandrakesoft.com> 2.0-1mdk
- release 2.0 
- fix icon handling
 
* Mon Oct 09 2000  Daouda Lo <daouda@mandrakesoft.com> 1.99-4mdk
- script now in %{SOURCE_DIR}

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.99-3mdk
- fix icons (dirty workaround)

* Fri Oct 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-2mdk
- Updated package for new qt2 and kdelibs - no code update

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Updated code to KDE 2.0 Release Candidate 1

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-8mdk
- Updated code

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-7mdk
- Updated code

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-6mdk
- Updated code

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Updated code

* Wed Sep 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Updated code

* Mon Sep 18 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Updated code

* Fri Sep 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Updated code

* Mon Sep 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- Updated code

* Fri Sep 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-9mdk
- Updated code

* Thu Sep 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-8mdk
- Updated code

* Tue Sep 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-7mdk
- Updated code

* Sat Sep 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-6mdk
- Updated code

* Wed Aug 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-5mdk
- Updated code

* Mon Aug 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-4mdk
- Updated code

* Fri Aug 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-3mdk
- Updated code

* Mon Aug 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.93-1mdk
- Updated code

* Sun Aug 20 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-15mdk
- Updated code
- Added menu entries
- Fixed some rpmlint errors

* Wed Aug 16 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-14mdk
- Updated code

* Mon Aug 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-13mdk
- Updated code

* Thu Aug 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-12mdk
- Updated code

* Mon Aug 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-8mdk
- Updated code

* Fri Aug 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-7mdk
- Updated code

* Wed Aug 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-6mdk
- Updated code

* Tue Aug 01 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-4mdk
- Updated code

* Sun Jul 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-2mdk
- Updated code

* Sat Jul 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-1mdk
- Updated code

* Fri Jul 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000728mdk
- Updated code

* Tue Jul 26 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000726mdk
- Updated code

* Fri Jul 21 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.92-0.20000721mdk
- Updated code

* Mon Jul 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000718mdk
- Updated code

* Sat Jul 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000715mdk
- Updated code

* Wed Jul 12 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000712mdk
- Updated code
- Moved to /usr
- Changed package name

* Sat Jul 08 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000708mdk
- Updated code snapshot
- Fixed files of spec file

* Fri Jun 30 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.91-0.20000630mdk
- Updated code snapshot

* Mon Jun 12 2000 Chris Molnar <molnarc@mandrakesoft.com>1.91-0.20000611mdk
- created kde2 version

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.10.0-8mdk

- Menu entry update
- File list update

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.10.0-7mdk

- Changed group according to 7.1 specs
- Added menu entry
- Spec file fixes

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10.0-6mdk

- fix build with gcc

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.10.0-5mdk

- libtoolize --force.

* Sat Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen.

* Fri Sep 10 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt/relinked with latest Cassini kdelibs.

* Mon Sep 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.10.0.

* Fri Jul 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Cooker.
- added teTeX and ghostscript dependencies.

* Tue Oct 06 1998 Fabio Coatti <cova@felix.unife.it>
- fixed installation directory files list

* Fri Oct 02 1998 Fabio Coatti <cova@felix.unife.it>
- fixed QT libs version requirements

* Thu Oct 01 1998 Fabio Coatti <cova@felix.unife.it>
- Added patch for print bug
- modified the file section
- added the italian description
